Bug 1676208 - wifi-radar: FTBFS in Fedora rawhide/f30
Summary: wifi-radar: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: wifi-radar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:21 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:49:19 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:21 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:21 UTC, Fedora Release Engineering
no flags Details
state.log (641 bytes, text/plain)
2019-02-11 22:21 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:21:09 UTC
wifi-radar failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32508514


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix wifi-radar at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
wifi-radar will be orphaned. Before branching of Fedora 31,
wifi-radar will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:21:11 UTC
Created attachment 1533577 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:21:12 UTC
Created attachment 1533578 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:21:13 UTC
Created attachment 1533579 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:34:07 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Fedora Release Engineering 2019-06-03 21:48:24 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Luis Bazan 2019-06-06 20:28:00 UTC
Fixed!

Comment 8 Fedora Update System 2019-06-06 20:34:36 UTC
FEDORA-2019-699ca6b539 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-699ca6b539

Comment 9 Fedora Update System 2019-06-07 01:07:38 UTC
wifi-radar-2.0.s10-9.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-699ca6b539

Comment 10 Miro Hrončok 2019-06-11 12:53:32 UTC
Luis, this fix appears wrong.

The package now uses python3 but depends on pygtk2 (Python 2 GTK 2 bindings).

Comment 11 Miro Hrončok 2019-06-11 12:53:54 UTC
$ wifi-radar 
  File "/usr/sbin/wifi-radar", line 179
    except OSError, exception:
                  ^
SyntaxError: invalid syntax

Comment 12 Fedora Update System 2019-06-11 13:35:50 UTC
FEDORA-2019-eb71dcc9c8 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eb71dcc9c8

Comment 13 Luis Bazan 2019-06-11 13:39:51 UTC
(In reply to Miro Hrončok from comment #11)
> $ wifi-radar 
>   File "/usr/sbin/wifi-radar", line 179
>     except OSError, exception:
>                   ^
> SyntaxError: invalid syntax

I have the same issue let me contact upstream.

 wifi-radar File "/usr/sbin/wifi-radar", line 179 except OSError, exception: ^ SyntaxError: invalid syntax


cheers,

Comment 14 Miro Hrončok 2019-06-11 14:31:14 UTC
The code is Python 2 only.

Comment 15 Luis Bazan 2019-06-11 14:42:42 UTC
(In reply to Miro Hrončok from comment #14)
> The code is Python 2 only.

We're going to have to place it orphaned.

Comment 16 Fedora Release Engineering 2019-08-08 16:49:19 UTC
The following builds were made: wifi-radar-2.0.s10-10.fc30 wifi-radar-2.0.s10-10.fc31 wifi-radar-2.0.s10-11.fc31 wifi-radar-2.0.s10-9.fc30 wifi-radar-2.0.s10-9.fc31


Note You need to log in before you can comment on or make changes to this bug.